Subject: Re: [PATCH] format-patch: autonumber by default

From: Johannes Sixt <[email-masked]>
Date: Thu, 02 Oct 2008 15:54:00 +0200

Giuseppe Bilotta schrieb:
> Now, about the reason for this patch: I would say that the most common
> use-case of format-patch being used to prepare multiple patches is
> when one plans on sending a patchset. When format.numbering is set to
> auto, single-patches will still be extracted without numbers, but
> patchset will be properly numbered.
> 
> Of course, there may be cases where one doesn't want numbering (for
> which there is the -N flag already), and of course we want to give the
> user the choice to disable autonumbering at the config level, for
> which there is the new noauto option for format.numbering.

I recall that this has been discussed (months or years ago), but I don't
recall whether there was a conclusion or whether the change was dismissed.
Did you research the ML archives?

-- Hannes